#!/bin/bash

# Force a touchscreen calibration by creating a self-deleting startup script
export CALSCRIPT=/home/true/.config/openbox/autostart.d/57_touchcalibrate.sh

sudo cat <<END > $CALSCRIPT
export DISPLAY=:0.0

if [ \$( which xdotool ) ] ; then
    # Display instructions and wait for a screen touch
    echo "STOP! Please read the following important instructions.\n\nThe touch panel software has been updated and calibration is required.\nOn the following screen, please touch each of the 9 targets firmly and accurately.\n\nTouch anywhere to begin."  |  xmessage -title "NOTE! Touchscreen Calibration Required." -buttons "" -center -file - &

    msgproc=\$!
    loop=1

    while [ \$loop = 1 ] ; do
        mouse1=\$( xdotool getmouselocation --shell 2> /dev/null | head -n 1 | sed 's|X=||' )
        mouse2=\$( xdotool getmouselocation --shell 2> /dev/null | head -n 1 | sed 's|X=||' )

        if [ \$mouse1 -ne \$mouse2 ] ; then
            loop=0
        fi

    done

    kill \$msgproc

fi

sudo /usr/sbin/xCal 9

rm $CALSCRIPT
sync
END

sync
